Platforms, browsers, and operating systems that are supported by Seesaw

Seesaw works on every device type! The Seesaw app is available on iOS, Android, and Kindle Fire devices. You can also use Seesaw on the web using a computer or Chromebook on Chrome, Firefox or Edge browser. 

What platforms and operating systems does Seesaw support?
iOS App
iOS 13 and newer Supported
iOS 11-12 Limited Support Starting in June 2022
Support Discontinued in June 2023
iOS 9-10 Support Discontinued in June 2021
 
Android and Kindle Fire App
Android 7 and newer Supported
Android 4-6 Limited Support Starting in June 2022
Support Discontinued in June 2023
 
Web Browsers
Chrome 98+ Supported
Firefox 97+ Supported
Edge 98+ Supported
Safari 13 and newer Partial Functionality (Video and screen recording not supported)

Students and Teachers (Seesaw App and Website) 

  • iOS Devices: iOS 13 and newer. 
    • Devices running iOS 9-12 will stop receiving new app updates in June 2022. Existing iOS 9-12 customers can continue to use the last compatible version of the app until June 2023. In June 2023, iOS 9-12 will be deprecated and the Seesaw app will no longer be available. We are no longer fixing bugs reported on iOS 9-12 devices. 
    • iOS 9 only supports the legacy creative tools (one photo, one video, one drawing, basic labels, basic draw+record, one link) and legacy messaging. Students accessing the Seesaw Class app on iOS 9 will only be able to respond to activities that were created on an iOS 9 device. 
  • Android and Kindle Fire Devices: Android 7 and newer. 
    • Devices running Android 4-6 will stop receiving new app updates in June 2022. Existing Android 4-6 customers can continue to use the last compatible version of the app until June 2023. In June 2023, Android 4-6 will be deprecated and the Seesaw app will no longer be available. We are no longer fixing bugs reported on Android 4-6 devices.
    • Check which Android OS you are using. Check what Kindle you are using. 
  • Computers and Chromebooks: 
    • Chrome: Version 98 and newer
    • Firefox: Version 97 or newer  
    • Edge: Version 98 or newer 
    • Safari: Version 13 and newer (Draw+Record screen recording and webcam video recording is not supported on Safari)
    • Download or upgrade to the latest version of ChromeFirefox, or Edge.

 

Family Members, Parents, and Caregivers (Family App and Website)

  • iOS Devices: iOS 13 and newer. 
    • Devices running iOS 9-12 will stop receiving new app updates in June 2022. Existing iOS 9-12 customers can continue to use the last compatible version of the app until June 2023. In June 2023, iOS 9-12 will be deprecated and the Seesaw app will no longer be available. We are no longer fixing bugs reported on iOS 9-12 devices. 
    • iOS 9 only supports the legacy creative tools (one photo, one video, one drawing, basic labels, basic draw+record, one link) and legacy messaging. Students accessing the Seesaw Class app on iOS 9 will only be able to respond to activities that were created on an iOS 9 device. 
  • Android and Kindle Fire Devices: Android 7 and newer. 
    • Devices running Android 4-6 will stop receiving new app updates in June 2022. Existing Android 4-6 customers can continue to use the last compatible version of the app until June 2023. In June 2023, Android 4-6 will be deprecated and the Seesaw app will no longer be available. We are no longer fixing bugs reported on Android 4-6 devices.
    • Check which Android OS you are using. Check what Kindle you are using. 
  • Computers and Chromebooks: 
    • Chrome: Version 98 and newer
    • Firefox: Version 97 or newer  
    • Edge: Version 98 or newer 
    • Safari: Version 13 and newer (Draw+Record screen recording and webcam video recording is not supported on Safari)
    • Download or upgrade to the latest version of ChromeFirefox, or Edge.

 

School and District Administrator Website

Computers and Chromebooks: 

  • Chrome: Version 98 and newer
  • Firefox: Version 98 or newer  
  • Edge: Version 98 and newer 
  • Safari: Version 13 and newer
  • Download or upgrade to the latest version of ChromeFirefox, or Edge.

 

 

 

 

   

      

Have more questions? Submit a request